Vector::BLF::MostPkt2(3)

NAME
Vector::BLF::MostPkt2 - MOST_PKT2.

SYNOPSIS

#include <MostPkt2.h>

Inherits Vector::BLF::ObjectHeader2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
ObjectHeader2 (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint8_t dir {}
uint8_t reservedMostPkt1 {}
uint32_t sourceAdr {}
uint32_t destAdr {}
uint8_t arbitration {}
uint8_t timeRes {}
uint8_t quadsToFollow {}
uint8_t reservedMostPkt2 {}
uint16_t crc {}
uint8_t priority {}
uint8_t transferType {}
Tranfer Type.
uint8_t state {}
uint8_t reservedMostPkt3 {}
uint16_t reservedMostPkt4 {}
uint32_t pktDataLength {}
length of variable data in bytes
uint32_t reservedMostPkt5 {}
std::vector< uint8_t > pktData {}
variable data
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint8_t timeStampStatus {}
time stamp status
uint8_t reservedObjectHeader {0}
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {0}
object timestamp
uint64_t originalTimeStamp {0}
original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }
enum TimeStampStatus : uint8_t { Orig = 0x01, SwHw = 0x02, User = 0x10 }

Detailed Description

MOST_PKT2. Message on MOST25 Packet Data Channel.

Member Function Documentation

  uint32_t Vector::BLF::MostPkt2::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostPkt2::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostPkt2::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint8_t Vector::BLF::MostPkt2::arbitration {}
Arbitration byte

  uint16_t Vector::BLF::MostPkt2::channel {}

application channel Application channel

  uint16_t Vector::BLF::MostPkt2::crc {}
Cyclic Redundancy Check

  uint32_t Vector::BLF::MostPkt2::destAdr {}
Target address

  uint8_t Vector::BLF::MostPkt2::dir {}
Direction of message events:

•   0: Rx (received)

•   1: Tx (transmit receipt)

•   2: Tx Request (transmit request)

  std::vector<uint8_t> Vector::BLF::MostPkt2::pktData {}

variable data Variable data

  uint32_t Vector::BLF::MostPkt2::pktDataLength {}

length of variable data in bytes Length of variable data in bytes (1014 max)

  uint8_t Vector::BLF::MostPkt2::priority {}
Priority

  uint8_t Vector::BLF::MostPkt2::quadsToFollow {}
Number of quadlets

  uint8_t Vector::BLF::MostPkt2::reservedMostPkt1 {}
reserved

  uint8_t Vector::BLF::MostPkt2::reservedMostPkt2 {}
reserved

  uint8_t Vector::BLF::MostPkt2::reservedMostPkt3 {}
reserved

  uint16_t Vector::BLF::MostPkt2::reservedMostPkt4 {}
reserved

  uint32_t Vector::BLF::MostPkt2::reservedMostPkt5 {}
reserved

  uint32_t Vector::BLF::MostPkt2::sourceAdr {}
Source address

  uint8_t Vector::BLF::MostPkt2::state {}
Transmission state

•   0 for Rx

•   0x40 for TxOk (transmit request)

  uint8_t Vector::BLF::MostPkt2::timeRes {}
Obsolete member; read/write 0

  uint8_t Vector::BLF::MostPkt2::transferType {}

Tranfer Type. Message-like events can either be recorded through the MOST transceiver chip or through a separate network spy.

•   1: Node MOST transceiver reported the message (either due to a successful reception or as acknowledgment for a transmit request).

•   2: Spy Message was reported by the network spy. The Spy sees all messages independently of the desti-nation address.

Author

Generated automatically by Doxygen for Vector BLF from the source code.